nrow {base} | R Documentation

## The Number of Rows/Columns of an Array

### Description

`nrow` and `ncol` return the number of rows or columns present in `x`. `NCOL` and `NROW` do the same treating a vector as 1-column matrix.

### Usage

    nrow(x)
    ncol(x)
    NCOL(x)
    NROW(x)

### Arguments

`x` | a vector, array or data frame

### Value

an `integer` of length 1 or `NULL`.

### See Also

`dim` which returns all dimensions; `array`, `matrix`.

### Examples

    ma <- matrix(1:12, 3, 4)
    nrow(ma)   # 3
    ncol(ma)   # 4

    ncol(array(1:24, dim = 2:4)) # 3, the second dimension
    NCOL(1:12) # 1
    NROW(1:12) # 12

[Package Contents]